<?php
/**
 * ### LetterXpress API - Example ###
 *
 * Version 1.0 - 02/2019
 * Autor: Christian Stein
 *
 * Company: A&O Fischer GmbH & Co. KG
 * Address: Maybachstraße 9, 21423 Winsen (Luhe)
 * Web: https://www.aof.de
 *
 * Product: LetterXpress, 2014-2019
 * Support: support@letterxpress.de
 * Web: https://www.letterxpress.de
 * Doc: https://www.letterxpress.de/dokumentation/api
 */

define("APP_URL", "https://api.letterxpress.de/v1/"); // API-Url
define("API_KEY", ""); // API-Key
define("USERNAME", ""); // Benutzername

include(realpath('class') . '/LxpApi.class.php');

$lxp = new LxpApi();

$request['auth'] = array('apikey' => API_KEY, 'username' => USERNAME);

$address = '';

$request['letter'] = array(
    #'address' => $address,
    'dispatchdate' => '',  // Leer oder nicht übergeben löscht hinterlegtes Datum
    'specification' =>
        array('color' => '4',
            'mode' => 'simplex',
            'ship' => 'national'
        )
);

$response = $lxp->updateJob($request, $id=0);

print_r($response); // Response